WAKE_OFB< B > Struct Template Reference

WAKE-OFB. More...

`#include <wake.h>`

Inheritance diagram for WAKE_OFB< B >:

## Public Types

typedef SymmetricCipherFinal < ConcretePolicyHolder < WAKE_Policy< B > , AdditiveCipherTemplate <> >, WAKE_OFB_Info< B > > | Encryption
typedef Encryption | Decryption

## Static Public Member Functions

static const char * | StaticAlgorithmName ()
static size_t | StaticGetValidKeyLength (size_t)

## Static Public Attributes

static const int | KEYLENGTH
static const int | MIN_KEYLENGTH
static const int | MAX_KEYLENGTH
static const int | DEFAULT_KEYLENGTH
static const int | IV_REQUIREMENT
static const int | IV_LENGTH

## Detailed Description

### template<class B = BigEndian>
struct WAKE_OFB< B >

WAKE-OFB.

Definition at line 39 of file wake.h.

The documentation for this struct was generated from the following file:

- wake.h